import sys

import pygame

class Screen:
	def __init__(self):
		self.end_level = False
		self.next_screen = None
	def start(self):
		pass
	def handle_event(self, event):
		if event.type == pygame.QUIT:
			sys.exit()
		if event.type == pygame.KEYDOWN and event.key == pygame.K_ESCAPE:
			self.end_level = True
	
	def do_frame(self, time_passed):
		pass
	def draw(self, screen):
		pass

